export const mixin = {
  data () {
    return {
      msg: 'hello'
    }
  },
  methods: {
    $showError (content, duration = 2, callback) {
      return this.$message.error(content, duration, callback)
    },
    $showSuccess (content, duration = 2, callback) {
      return this.$message.success(content, duration, callback)
    },
    $showWarning (content, duration = 2, callback) {
      return this.$message.warning(content, duration, callback)
    }
  }
}
